#
# spec file for package subversion (Version 1.3.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  apache2 apache2-devel apache2-prefork cyrus-sasl cyrus-sasl-devel db-devel expat gcc-c++ java2 libapr-util1 libapr-util1-devel libapr1 libapr1-devel libstdc++ libstdc++-devel neon neon-devel openldap2 openldap2-devel openssl openssl-devel pcre python python-devel swig x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel IBMJava2-JRE IBMJava2-SDK apache2 apache2-devel apache2-prefork autoconf automake binutils cyrus-sasl-devel db-devel expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libapr-util1 libapr-util1-devel libapr1 libapr1-devel libstdc++-devel libtool neon neon-devel openldap2 openldap2-devel openssl-devel pcre pcre-devel perl python python-devel rpm swig update-alternatives xorg-x11-devel xorg-x11-libs

Name:         subversion
Version:      1.3.0
Release:      1.1.20060120
#
%define	apxs	/usr/sbin/apxs2
%define	apache_libexecdir	%(%{apxs} -q LIBEXECDIR)
%define	apache_sysconfdir	%(%{apxs} -q SYSCONFDIR)
#
%define site_python	%(python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")
#
%define viewcvs_dir /srv/viewcvs
#
PreReq:       %insserv_prereq %fillup_prereq
#
Summary:      A Concurrent Versioning system similar to but better than CVS
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
License:      Other License(s), see package, Apache
Group:        Development/Tools/Version Control
URL:          http://subversion.tigris.org
Source0:      subversion-1.3.x.tar.bz2
Source1:      subversion.conf
Source2:      subversion.README.SuSE
Source7:      subversion.viewvc-trunk.tar.bz2
Source8:      subversion.viewcvs.conf
Source9:      subversion.rcsvnserve
Source10:     subversion.sysconfig.svnserve
Source11:     subversion.cvs2svn-trunk.tar.bz2
Source42:     subversion.svngrep.sh
Source43:     subversion.svndiff.sh
#
Patch10:      subversion.warning.svn_error_createf.patch
Patch11:      subversion.libtool-verbose.patch
# build fixes
Patch20:      subversion-swig-perl-install_vendor.patch
Patch22:      subversion-1.1.x-COMPILE_CXX.dif
Patch23:      subversion.libtool-pie-flags.patch
Patch24:      subversion.svn_swig_perl.dep.patch
Patch30:      subversion-1.3-proxydir.patch
Patch31:      subversion.perl.LD_RUN_PATH.patch
#
Patch42:      subversion.viewcvs-buglink.patch
#

%description
Subversion does the same thing CVS does (Concurrent Versioning System)
but has major enhancements compared to CVS.

http://subversion.tigris.org



%package devel
Group:        Development/Libraries/C and C++
Summary:      Development package for Subversion developers
Requires:     subversion = %{version}
Requires:     neon-devel expat gdbm-devel db-devel zlib-devel openssl-devel

%description devel
The subversion-devel package includes the static libraries and include
files for developers interacting with the subversion package.



%package tools
Group:        Development/Tools/Version Control
Summary:      Tools for Subversion

%description tools
Tools for Subversion



%package perl
Group:        Development/Tools/Version Control
Summary:      Allows Perl scripts to directly use Subversion repositories.
Requires:     subversion = %{version}
Requires:     perl >= 5.8
Requires:     swig

%description perl
Provides Perl (SWIG) support for Subversion.



%package python
Group:        Development/Tools/Version Control
Summary:      Allows Python scripts to directly use Subversion repositories.
Requires:     subversion = %{version}
Requires:     swig

%description python
Provides Pythong (SWIG) support for Subversion.



%package server
Group:        Development/Tools/Version Control
Summary:      Apache server module for Subversion server
Requires:     subversion = %{version}
Requires:     apache2

%description server
The subversion-server package adds the Subversion server Apache module
to the Apache directories and configuration.

http://subversion.tigris.org



%package -n cvs2svn
Version:      1.3.0
Release:      11.1.20060120
Provides:     subversion-cvs2svn
Obsoletes:    subversion-cvs2svn
Requires:     swig
Group:        Development/Tools/Version Control
URL:          http://subversion.tigris.org/
Summary:      Converts CVS repositories to Subversion repositories
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:     python >= %pyver, python < %{pyver}.99
Requires:     rcs

%description -n cvs2svn
Converts CVS repositories to Subversion repositories.

See /usr/share/doc/packages/cvs2svn directory for more information.



%package -n viewcvs
Version:      1.0
Release:      24.1.20060120
Requires:     subversion-python
Provides:     subversion-viewcvs
Obsoletes:    subversion-viewcvs
Group:        Development/Tools/Version Control
Summary:      ViewCVS - Browse a Subversion Repository with a Web Browser

%description -n viewcvs
ViewCVS can browse directories, change logs, and do specific revisions
of files. It can display diffs between versions and show selections of
files based on tags or branches. In addition, ViewCVS has "annotation"
or "blame" support, Bonsai-like query facilities, template-based page
generation, and support for individually configurable virtual hosts. It
also includes support for CvsGraph -- a program to graphically display
the revision trees and branches.



Authors:
--------
    The ViewCVS Group:
        * Greg Stein
        * Tanaka Akira
        * Tim Cera
        * Peter Funk
        * Jay Painter

%prep
swig="`env -i swig -version 2>&1 | awk '/^SWIG Version/{ print $3 }'`"
case "$swig" in
	1.3.21|1.3.1*)
		echo "installed swig $swig too old"
		exit 1
		;;
esac
%setup -q -n subversion-1.3.x -a 7 -a 11
#
# warning: no newline at end of file
echo "" >> subversion/bindings/java/javahl/native/Path.cpp
echo "" >> subversion/bindings/java/javahl/native/Targets.cpp
#
%patch10 -p1
%patch11 -p1
#
%patch20 -p1
%patch22 -p1
%if %suse_version > 930
%patch23 -p1
%endif
%patch24 -p1
%patch30 -p1
%patch31 -p1
#
pushd viewvc-trunk
%patch42
popd

%build
with_jdk=none
for i in \
/usr/%{_lib}/BEAJava2-1.4.2 \
/usr/%{_lib}/SunJava2-1.4.2 \
/usr/%{_lib}/jvm/java-1.4.2-sun \
/usr/lib/jvm/java-1.4.2-sun \
/usr/%{_lib}/jvm/java-1.4.2-ibm \
/usr/%{_lib}/jvm/IBMJava2-1.4.2 \
/usr/lib/BEAJava2-1.4.2 \
/usr/lib/SunJava2-1.4.2 \
/usr/lib/jvm/java-1.4.2-sun \
/usr/lib/IBMJava2-1.4 \
; do
if [ -d "$i" ] ; then
with_jdk="$i"
break
fi
done
if [ "$with_jdk" != "none" ] ; then
with_jdk="--with-jdk=$with_jdk"
echo with_jdk > with_jdk
else
with_jdk=""
rm -f with_jdk
fi
# ### these possibly need further discussion
# swig_pydir = @libdir@/svn-python/libsvn
# swig_pydir_extra = @libdir@/svn-python/svn
mv Makefile.in{,.}
sed "
s@^swig_pydir = .*@swig_pydir = %{site_python}/libsvn@
s@^swig_pydir_extra = .*@swig_pydir_extra = %{site_python}/svn@
" < Makefile.in. > Makefile.in
diff -u Makefile.in. Makefile.in || true
sh -x autogen.sh
for i in subversion/bindings/java/javahl/native/*.cpp
do
	d=$(sed -n '/^#include "..\/include/{s@^[^/]\+\([^"]\+\).*@subversion/bindings/java/javahl\1@;H};${x;s@\n@ @gp}' $i)
	echo
	echo "# $i"
	if ! test -z "$d"
	then
		echo ${i%.cpp}.lo: $d
	fi
	echo
done >> build-outputs.mk
export CFLAGS="$(%{apxs} -q CFLAGS) -Wall -g"
%if %suse_version > 930
CFLAGS="$CFLAGS -fpie"
export LDFLAGS=-pie
%endif
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-editor="vim -c 'set tw=72 et' " \
	--with-neon=%{_prefix} \
	--with-apr=%{_prefix} \
	--with-apr-util=%{_prefix} \
	--with-apxs=%{apxs} \
	--with-zlib \
	$with_jdk \
	--with-jikes=no \
	--enable-swig-bindings \
	--enable-javahl \
	--disable-mod-activation
make %{?jobs:-j%jobs}
#
if [ "$with_jdk" != "" ] ; then
with_jdk=javahl
fi
make swig-py swig-pl $with_jdk %{?jobs:-j%jobs}
#

%install
rm -rf $RPM_BUILD_ROOT
if [ -f with_jdk ] ; then
with_jdk=install-javahl
else
with_jdk=
fi
make DESTDIR=$RPM_BUILD_ROOT install install-swig-pl install-swig-py $with_jdk
#
# double check that the essential repository access schemes have been compiled in
#
schemes=$(LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT/usr/bin/svn --version | grep "'" | cut -d\' -f2)
# reset vim syntax: '
test "$schemes" = "http
https
svn
file"
#
%perl_process_packlist
%find_lang %name
#
cp -Lav %{S:42} $RPM_BUILD_ROOT/usr/bin/svngrep
cp -Lav %{S:43} $RPM_BUILD_ROOT/usr/bin/svndiff
#
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
cp -avL contrib/client-side/psvn/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
#
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d
cp -av %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.conf
cp -av %{S:8} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.viewcvs.conf
#
cp -av %{S:2} README.SuSE
cp -av subversion/mod_authz_svn/INSTALL README.mod_authz_svn
cat %name.lang > files.subversion
cd cvs2svn-trunk
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
#
# tools
mkdir -p   $RPM_BUILD_ROOT/usr/share/subversion/
cp -a tools $RPM_BUILD_ROOT/usr/share/subversion/
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/cvs2svn
find $RPM_BUILD_ROOT html \( -name .svn -o -name CVS -o -name tests \) -type d | xargs rm -rfv
# viewcvs
pushd .
cd viewvc-trunk
./viewcvs-install --prefix "%{viewcvs_dir}" --destdir "$RPM_BUILD_ROOT"
sed '
s@^#docroot.*@docroot = /viewcvs-docroot@
s@^default_root.*@default_root = your_unnamed_project@
s@^cvsgraph_conf.*@cvsgraph_conf = %{viewcvs_dir}/cvsgraph.conf@
s@^hr_funout.*@hr_funout = 1@
s@^show_changed_paths.*@show_changed_paths = 0@
/^cvs_roots/,/^$/s/^/###/
/^#svn_roots/,/^$/c\
svn_roots:\
	your_unnamed_project : /srv/svn/repos/<your_unnamed_project> , \
	another_project : /srv/svn/repos/<another_project> \
#
' < viewcvs.conf.dist > $RPM_BUILD_ROOT%{viewcvs_dir}/viewcvs.conf
diff -up viewcvs.conf.dist $RPM_BUILD_ROOT%{viewcvs_dir}/viewcvs.conf || true
popd
find $RPM_BUILD_ROOT%{viewcvs_dir} -type d | \
sed "s@$RPM_BUILD_ROOT@%dir @" > files.subversion.viewcvs
find $RPM_BUILD_ROOT%{viewcvs_dir} -type f | \
sed "s@$RPM_BUILD_ROOT@@;/\/templates\/\|\.conf$/s@^@%config (noreplace) @" >> files.subversion.viewcvs
cat files.subversion.viewcvs
#
#
#
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp -a %_sourcedir/subversion.rcsvnserve $RPM_BUILD_ROOT/etc/init.d/svnserve
ln -sv /etc/init.d/svnserve $RPM_BUILD_ROOT/usr/sbin/rcsvnserve
cp -a %_sourcedir/subversion.sysconfig.svnserve $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.svnserve
#

%post
%{fillup_and_insserv -n svnserve svnserve}
%{run_ldconfig}

%postun
%{insserv_cleanup}

%files -f files.subversion
%defattr(-,root,root)
%doc README.SuSE BUGS CHANGES COPYING subversion/LICENSE README.mod_authz_svn
#
%attr(754,root,root) /etc/init.d/svnserve
%attr(754,root,root) /usr/sbin/rcsvnserve
/var/adm/fillup-templates/sysconfig.svnserve
#
%attr(755,root,root) /usr/bin/svn
%attr(755,root,root) /usr/bin/svnadmin
%attr(755,root,root) /usr/bin/svndumpfilter
%attr(755,root,root) /usr/bin/svnlook
%attr(755,root,root) /usr/bin/svnserve
%attr(755,root,root) /usr/bin/svnversion
%attr(755,root,root) /usr/bin/svndiff
%attr(755,root,root) /usr/bin/svngrep
%{_libdir}/libsvn_client*.so.*
%{_libdir}/libsvn_delta*.so.*
%{_libdir}/libsvn_diff*.so.*
%{_libdir}/libsvn_fs*.so.*
%{_libdir}/libsvn_ra*.so.*
%{_libdir}/libsvn_repos*.so.*
%{_libdir}/libsvn_subr*.so.*
%{_libdir}/libsvn_wc*.so.*
%{_libdir}/libsvnjavahl*.so.*
%{_libdir}/libsvnjavahl*.so
%dir %{_libdir}/svn-javahl
%{_libdir}/svn-javahl/svn-javahl.jar
%doc %{_mandir}/man?/svn*
#
%dir /usr/share/emacs/site-lisp
/usr/share/emacs/site-lisp/*

%files perl
%defattr(-,root,root)
%doc %{_mandir}/man?/SVN::*
%{_libdir}/libsvn_swig_perl-1.so.*
%perl_vendorarch/SVN
%perl_vendorarch/auto/SVN
/var/adm/perl-modules/subversion

%files python
%defattr(-,root,root)
%dir %{site_python}
%dir %{site_python}/svn
%dir %{site_python}/libsvn
%{_libdir}/libsvn_swig_py-1.so.*
%{site_python}/libsvn/*
%{site_python}/svn/*

%files devel
%defattr(-,root,root)
%dir /usr/include/subversion-1
%{_libdir}/libsvn_*.so
%{_libdir}/libsvn*.a
%{_libdir}/libsvn*.la
/usr/include/subversion-1/*

%files -n cvs2svn
%defattr(-,root,root)
%doc cvs2svn-trunk/{BUGS,COMMITTERS,COPYING,README,design-notes.txt,verify-cvs2svn,www/{faq,cvs2svn}.html}
%attr(755,root,root) /usr/bin/cvs2svn
%dir %{site_python}/cvs2svn_rcsparse
%{site_python}/cvs2svn_rcsparse/*

%files tools
%defattr(-,root,root)
%dir /usr/share/subversion
/usr/share/subversion/tools

%files server
%defattr(-,root,root)
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.conf
%dir %{apache_libexecdir}
%{apache_libexecdir}/mod_dav_svn.*
%{apache_libexecdir}/mod_authz_svn.*

%files -n viewcvs -f files.subversion.viewcvs
%defattr(-,root,root)
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.viewcvs.conf

%changelog -n subversion
* Mon Jan 09 2006 - olh@suse.de
- fix CFLAGS usage in specfile
  update viewcvs to todays status
  update cvs2svn to current svn status
* Mon Jan 02 2006 - dmueller@suse.de
- build against apache 2.2.x
* Sun Jan 01 2006 - olh@suse.de
- update viewcvs to todays status
- update to 1.3.0
  User-visible-changes:
- Client:
  * 'svn ls -v' now shows remote locks (issue #2291)
  * 'svn status' speedup (r15061, r15103)
  * 'svn blame' speedup on files with long history (issue #1970)
  * 'svnversion' now assumes default argument of '.' (r14892)
  * support for neon 0.25.x, which fixes http:// control-c bug (issue #2297)
  * support for more ISO-8601 date formats, compatible with GNU date (r14428)
  * support for single-digit date components (r15459)
  * working copy size with empty propfiles reduced (r16855, see releasenotes)
  * new switches added:
- 'svn blame --xml [--incremental]' (r14690)
- 'svn status --xml [--incremental]'  (issue #2069)
- 'svn info --xml [--incremental]'
- 'svn add/import --no-ignore'  (issue #2105)
- 'svnlook tree --full-paths'  (r13976)
- 'svnlook diff --diff-copy-from'  (r14855)
- 'svnlook changed --copy-info' (r16681)
  * fixed: 'svn copy wc URL' might include deleted items (issue #2153)
  * fixed: 'svn copy wc wc' allows cross-repository copies (issue #2404)
  * fixed: 'svn up/merge' major property-merging bugs (issue #2035)
  * fixed: 'svn merge' insisting on write access to '.' (issue #2411)
  * fixed: 'svn merge' cross-device move problems (r16293, -329, -330)
  * fixed: 'svn diff' outputs headers in wrong encoding (issue #1533)
  * fixed: 'svn proplist/add/cat' dies on unversioned items (issue #2030)
  * fixed: 'svn add' not honoring svn:ignore property (issue #2243)
  * fixed: 'svn log -rN:M --limit X' error over http:// (issue #2396)
  * fixed: 'svn switch --relocate' failure on 'deleted' dir (r16673)
  * fixed: 'svn info' not always showing repos lock (issue #2276)
  * fixed: 'svn info' might show lock on wrong path (r16626)
  * fixed: 'svnlook' chokes on logs with inconsistent newlines (r14573)
  * fixed: 'svnlook propget --revprop -t' failure (r15203)
  * fixed: 'svnversion' wrongly traverses into externals (r15161)
  * fixed: incorrect URI encoding passed to svn+ssh:// (issue #2406)
  * fixed: properly handle filenames containing '@' (issue #2317)
  * fixed: '--non-interactive' now suppresses launch of $EDITOR (r15277)
  * fixed: conflict markers not in current encoding (r14621)
  * fixed: commands ignoring extraneous -m or -F switches (issue #2285)
  * fixed: poor error-checking when using revprops (r15542)
  * fixed: stack-smashing bugs (r15948, r16037)
  * fixed: incorrect parsing of mod_dav_svn XML responses (r17589)
  * translation updates for all languages
- Server:
  * svnserve improvements:
- can now restrict read/write access by path (see releasenotes)
- undeprecation of the --read-only (-R) option (r17614)
  * mod_dav_svn improvements:
- 'SVNListParentPath on' shows all repositories in web browser (r16158)
- ability to log high-level client operations (see releasenotes)
- sets svn:mime-type on autoversioning commits (r14359)
  * 'svn log' performance improvement (r14722)
  * fixed: fs history algorithm might return wrong objects (issue #1970)
  * fixed: repos deadlock when hooks output too much (issue #2078)
  * fixed: mod_dav_svn displays errors with sensitive paths (r14792)
  * fixed: anonymous reader could create empty commits (issue #2388)
  * fixed: possible segfault to callers of trace_node_locations() (r16188)
  * fixed: BDB-style locking actions on FSFS repositories (r16295, r16297)
  * fixed: numerous bugs running BDB commands on FSFS (issue #2361, r16388)
  * fixed: svndumpfilter incorrectly remapping dropped revs (issue #1911)
- Both:
  * faster multiple (un)locks in a single svn:// request (issue #2264)
  * the Subversion Book is no longer bundled (r17466)
  Developer-visible-changes:
  * working copy is now storing repos_root as separate field (issue #960)
  * keywords are now stored in an internal hash (issue #890)
  * client status APIs now makes more server-side info available (r16344)
  * new public APIs:
- new transfer progress callback for DAV (r15948)
- svn_ra_initialize(), svn_client_open_ra_session()
- svn_fs_closest_copy(), svn_fs_type()
- several rev'd APIs, see doxygen docs
  * SWIG bindings: No more compile-time or runtime SWIG dependencies
- SWIG/python bindings:
- automatic memory management: APIs no longer require pool arguments!
- improved stability, as shown by our new testsuite
- better error messages
- SWIG/ruby bindings:
- complete API coverage!
- automatic memory management
- greatly expanded test suite
- SWIG/perl bindings:
- new accessors for svn_lock_t, svn_fs_access_t
- a number of bugfixes
  * javahl bindings:
- add streamy API for fetching file contents (r15584)
- fixed: let tests run before bindings are installed (issue #2040)
- fixed: lock command not raising errors properly (issue #2394)
- fixed: ignored errors from svn_client_blame2() (r16434)
* Wed Dec 21 2005 - olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status
* Fri Dec 09 2005 - olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status, adapt a few path names
  remove libapr0 from nfb, comes from apache2-devel-packages
  update svndiff script to pass more options to svn
* Sat Dec 03 2005 - olh@suse.de
- clear LD_RUN_PATH in perl bindings
  allow building with older distributions, requires swig > 1.3.21
* Sat Dec 03 2005 - olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update svndiff script to take $rev and r$rev as arguments
* Fri Nov 25 2005 - olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status, it is now viewvc
* Tue Nov 08 2005 - olh@suse.de
- update svngrep to ignore quilt metadata
* Tue Nov 08 2005 - olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status
* Tue Nov 08 2005 - olh@suse.de
- remove old extra po and pt_BR locale files
* Sun Oct 30 2005 - olh@suse.de
- update to 1.3.0rc2
  update cvs2svn to current svn status
  build bindings parallel
* Fri Oct 28 2005 - olh@suse.de
- update to 1.3.0rc1
* Thu Oct 27 2005 - olh@suse.de
- move subversion-doc to a noarch package
  update cvs2svn to current svn status
  update viewcvs to todays status
* Wed Sep 21 2005 - olh@suse.de
- cvs2svn requires /usr/bin/co  (#118017)
* Fri Aug 26 2005 - olh@suse.de
- update viewcvs, more permission fixes
- update svnbook
- update po and pt_BR locale file
- update to 1.2.3
  User-visible-changes:
- Client:
  * fixed: 'svn status -u' fails against pre-1.2 mod_dav_svn (r15359, r15423)
  * fixed: 'svn export' segfault (r15516)
  * fixed: 'svn merge' memory leak (r15233)
  * fixed: horrible rename-tracing performance against 1.0 servers (r15315)
  * fixed: 'svn cat' over file:// -- small leak  (r15253)
  * fixed: crash with "svn lock" and authentication (r15703)
  * improvements to 'svnmerge' utility (r14008,-458,-587,-632, r15329,-340)
  * translation updates for French, German, Polish, Norwegian, Swedish,
  Korean
- Server:
  * fixed: mod_authz_svn being overly restrictive (r15463)
  * fixed: fsfs directory caching bug (r15705, r15742)
- Both:
  * fixed: crash when >50 options passed to any commandline app (r15251)
  * fixed: memory leak in character translation handle caching (r15379,-398)
  Developer-visible-changes:
  * fixed: crash when calling svn_client_(un)lock with no targets (r15734)
  * missing #include in SWIG bindings (r15683)
  * javahl bindings:
- fixed: JNI library loading bug (r15552)
- fixed: JNI stack-name cut and paste error (r15337)
- fixed: crash when revisions have no dates (r15737)
  * perl bindings:
- now compatible with SWIG 1.3.25 (r15248)
- allow SVN::Pool to be used as pool parameter (r15450)
- make SVN::Delta::Editor friendlier for debugging (r15609)
- fixed: wrap svn_ra_stat properly (r15713)
- fixed: bug in SVN::Core::Stream's read function (r15698, r15700)
  * ruby bindings:
- now compatible with SWIG 1.3.25 (r14980, r15361)
* Fri Aug 19 2005 - olh@suse.de
- hide SVN_VIEWCVS_MODPYTHON section in IfModule mod_python.c
  update viewcvs, more permission fixes
  update svnbook
* Tue Aug 02 2005 - olh@suse.de
- provide libsvnjavahl-1.so in main svn package, for subclipse
- update svnbook
* Tue Jul 12 2005 - olh@suse.de
- remove --silent from libtool calls
  all object files are compiled with the same CFLAGS
-fpie cant be used for shared objects, pass -fno-pie to libtool
  as a quick hack
- update svnbook
* Tue Jul 12 2005 - poeml@suse.de
- double check that all repository access schemes are compiled
* Sun Jul 03 2005 - olh@suse.de
- update svnbook
- build with expat instead of libxml2 (#94606)
- update buildrequires for subversion-devel
- update to 1.2.1
  User-visible-changes:
- Client:
  * fixed: 'svn lock' on switched file locks wrong thing (issue #2307)
  * fixed: 'svn (un)lock' errors on multiple targets (r14736, 14775)
  * fixed: 'svn (un)lock' problems with URI-unsafe names (issue #2314)
  * fixed: 'svn (un)lock' not caching authentication (r15088)
  * fixed: 'svn unlock' loses executable bit (r14859, r14923, r14939)
  * fixed: 'svn unlock URL' segfault (r14893)
  * fixed: 'svn commit' failure on XML-unsafe locked paths (issue #2335)
  * fixed:  recursive directory copy bug (issue #2343)
  * fixed:  don't initialize RA library in 'svnversion' (r14755)
  * various translation updates for localized client messages
- Server:
  * fixed: 'svn log' performance regression, general (r14116, 14772, 14759)
  * fixed: 'svn log -v' performance regression, FSFS-specific (r15016)
  * fixed: mod_dav_svn bug sets content-type incorrectly (r15046)
  Developer-visible-changes:
  * fixed:  OBOE with 'limit' parameter of svn_repos_get_logs3(). (r15119)
  * perl bindings:
- accessors for svn_lock_t (r15082)
- call utf_initialize, adjust global pool usage (r15076, r15080,
  r15081, r15117)
* Thu Jun 16 2005 - olh@suse.de
- update svnbook, add -fpie to CFLAGS, -pie to LDFLAGS
* Thu May 26 2005 - olh@suse.de
- Fix svn-push, which was segfaulting all the time
* Thu May 26 2005 - olh@suse.de
- add simple svndiff to operate on a single commit, update svnbook
* Mon May 23 2005 - olh@suse.de
- switch to 1.2.0 tag, add cvs2svn faq, update svnbook
* Sat May 21 2005 - olh@suse.de
- update to 1.2.0
  User-visible-changes:
- Client:
  * add peg-rev syntax to co/blame/cat/ls/pget/plist/export (issue #1093)
  * 'svn info' now works on URLs (r13123, 13144)
  * 'svn* --version' now shows available repository back-ends (r13761)
  * new fixed-length keywords (for placement in binary files) (issue #2095)
  * performance improvements:
- 'svn status' does much less disk parsing (r11677, 11704)
- 'svn st -u' no longer asks server to generate textdeltas (issue #2259)
- 'svn revert -R' doing much less work (r13883)
- utf8<->native conversions are faster now (issue #2016)
  * new switches added:
- 'svn log --limit N'               - show only first N log messages
- 'svn info --revision'             - show info on older object (r13265)
- 'svn list --xml'                  - output listing in XML
- 'svn propset --force'             - allow unusual propsets (#2065)
- 'svn diff --force'                - show diffs on binary files (#2099)
- 'svn co/up/st --ignore-externals' - skip over externals (#2189)
- 'svn export --non-recursive'      - don't export subdirs (issue #2228)
- 'svnversion --help'               - show help (r13128)
  * fixed: 'svn merge' fails to add symlinks or expand keywords (issue #2064)
  * fixed: 'svn merge --dry-run' shows spurious 'skip' messages (issue #1943)
  * fixed: 'svn merge' file-not-found' error (issue #1673)
  * fixed: 'svn merge' of propchanges into deleted file (issue #2132)
  * fixed: 'svn merge' on implicit target with space (r13010)
  * fixed: 'svn merge/diff URL URL' can cause httpd timeout (issue #2048)
  * fixed: 'svn switch/update' failure might corrupt wc (issue #1825)
  * fixed: 'svn up' should rm before add, helps case-insensitivity (r12616)
  * fixed: 'svn up -rX' causes file to be unrestorable (issue #2250)
  * fixed: 'svn copy wc wc' should keep .svn/ hidden (issue #1739)
  * fixed: 'svn copy wc wc' of deleted=true doesn't delete (issue #2101)
  * fixed: 'svn copy' shouldn't copy into schedule-delete area (issue #2020)
  * fixed: 'svn copy dir dir' infinite recursion (issue #2224)
  * fixed: 'svn log' throws error on unversioned target (issue #1551)
  * fixed: 'svn log' in r0 working copy shows r1 log msg (issue #1950)
  * fixed: 'svn export' bugs on deleted dirs or nonexistents (#2226, r13226)
  * fixed: 'svn export' on single file from working copy (issue #1708)
  * fixed: 'svn import' creating an empty revision (r14293)
  * fixed: 'svn commit' ignores --encoding when editing externally (#2244)
  * fixed: 'svn commit' log message lost if utf8-conversion failure (r13230)
  * fixed: 'svn diff' output encoding bug (r11461)
  * fixed: 'svn diff' showing prop-diffs on repos root dir (r13381-2)
  * fixed: 'svn diff' label reversal (issue #2033)
  * fixed: 'svn propget' prints extra newline in --strict mode (r14505)
  * fixed: 'svn propset' should skip unversioned files (#2030)
  * fixed: 'svn rm URL1 URL2 URL3...' huge memory usage (issue #2218)
  * fixed: 'svn mkdir' cleanup after failure (r11883)
  * fixed: 'svn status -u' crash in non-recursive wc's (issue #2122)
  * fixed: 'svn revert' should skip unversioned items (issues #2030, 2133)
  * fixed: 'svn revert' should suggest --recursive (issue #2114)
  * fixed: 'svn add/import' better detects invalid paths (issue #1954)
  * fixed: 'svn cleanup' should repair timestamps (r12012)
  * fixed: 'svn cat -rBASE' contacts repository (issue #1361)
  * fixed: fuzzily escape control-characters when sending over dav (#2147)
  * fixed: prevent client from manipulating svn:wc:* properties (r12523)
  * fixed: xml-escaping bugs over dav (r11090)
  * fixed: store symlinks as utf8, always work in non-utf8 locale (r11358-9)
  * fixed: bug in special-file detranslation (r11441)
  * fixed: show paths in local-style where we weren't (issue #1538)
  * fixed: detect invalid propnames better (issue #1832)
  * fixed: entire error stack not being printed (issue #1822)
  * fixed: improper utf8 conversion of revision strings (issue #1999)
  * fixed: use-commit-times timestamp bug (r12906)
  * fixed: don't comment out section-names in default config file (r11771)
  * more support for user-cancellation (r13083-4, 13086)
  * improved error messages (r12920, 11392, 11599, 11913, #2154, #2214)
- Server:
  * mod_dav_svn autoversioning feature now complete (see release notes)
  * 'svnadmin create' now creates FSFS repositories by default (r13624)
  * new pre/post-revprop hook argument to describe propchange (r12162)
  * mod_authz_svn groups can now contain other groups (issue #2085)
  * 'svnadmin recover' now creates default svnserve passwd file (r11589)
  * increase default BDB cache size in DB_CONFIG (r13030)
  * new switches added:
- 'svnlook diff --no-diff-added'        - suppress added files (#2180)
- 'svnlook propget/proplist --revprop'  - show revision props (#2181)
- 'svnadmin load --use-pre-commit-hook'
  'svnadmin load --use-post-commit-hook'- invoke hooks when loading
  * fixed: FSFS race condition on posix platforms (issue #2265)
  * fixed: change FSFS revprops atomically and safely (issue #2193)
  * fixed: FSFS should verify checksums (issue #2253)
  * fixed: 'svnadmin create' should clean up when it fails (r13200)
  * fixed: 'svnadmin load' compatibility on pre-0.14 dumpfiles (r12075)
  * fixed: 'svnadmin load' crashes on contentful rev 0 (issue #1674)
  * fixed: 'svnadmin dump' should write in console encoding (issue #1997)
  * fixed: check for null-streams in dump/load code (r10510)
  * fixed: hook script ignored when symlink is broken (issue #1700)
  * fixed: hook script may inherit server's stdin stream (r12155)
  * fixed: potential svnserve segfault (r13199)
  * fixed: svnserve handling mutually-exclusive options (issue #2251)
  * fixed: mod_authz_svn should log errors to httpd errorlog (issue #2182)
  * fixed: 'svnadmin hotcopy' failed to copy format files (r14678, r14683)
- Both:
  * new 'locking' feature (issue #1478, see release notes for details):
- new: 'svn lock/unlock', 'svnadmin lslocks/rmlocks', 'svnlook lock'
- new: 'svn:needs-lock' property to enable communication
- 'svn st [-u]' shows local or remote lock overview
- 'svn info wc | URL'  shows local or remote lock details
- 'svn commit' sends locks, 'svn up' removes stale locks
- new hook scripts: pre-lock, pre-unlock, post-lock, post-unlock
  * speedups for 'svn blame' and other commands (see xdelta in release notes)
  * fixed: make both svnserve and svn:// urls work with IPv6 (r13235-6)
* Sun May 01 2005 - olh@suse.de
- add a simple svngrep script to simplify grep -r in repositories
* Sun May 01 2005 - olh@suse.de
- rcsvnserve had a hardcoded requirement for userid/groupid svn
  this is now tuneable via a sysconfig variable
* Sun May 01 2005 - olh@suse.de
- update to docbook-xsl-1.68.1.tar.gz
- update to 1.1.4
  User-visible-changes:
- Client:
  * fixed: 'svn merge' can cause broken working copy (issue #2222)
  * fixed: 'svn commit' fails when schedule-delete dir has local mod (r11980)
  * fixed: 'svn st -u nonexistent_file' segfault (issue #2127)
  * fixed: 'svn cp wc wc' utf8 conversion error (r13111)
  * fixed: confusing error message about "wc not locked" (issue #2174)
- Server:
  * fixed: nasty (though unusual) performance bug in FSFS commits (r13222-3)
  * fixed: FSFS memory leak when auto-merging large tree (r13193)
  * fixed: FSFS memory leak in 'svnadmin hotcopy' (r13218, 13465, 13468)
  * fixed: FSFS segfault when encountering empty data reps (r13683)
  * fixed: two dataloss bugs in svndumpfilter (r12630, r12636)
  * fixed: wasteful memory usage in svndumpfilter (r12637, r12640)
  * fixed: mod_dav_svn segfaults when client sends bogus paths (issue #2199)
* Wed Apr 20 2005 - ro@suse.de
- accept swig 1.3.24
* Tue Mar 29 2005 - poeml@suse.de
- subversion-doc apache configuration: fix invalid mixing of +/-
  with non-+/- syntax in Options directive
* Fri Mar 04 2005 - olh@suse.de
- restore old java checks
* Thu Mar 03 2005 - olh@suse.de
- update cvs2svn to version 1.2.1, rev r1422
  * Fix cvs2svn's dumpfile output to work after Subversion's r12645.
  will also improve conversion speed
* Wed Feb 23 2005 - olh@suse.de
- build swig-pl without make -jN to avoid broken dependencies
* Tue Feb 22 2005 - ro@suse.de
- search also for "other" java on a biarch platform
* Sat Feb 19 2005 - olh@suse.de
- use lib macro to find java package
* Wed Feb 16 2005 - schwab@suse.de
- Don't override $EDITOR.
* Tue Feb 15 2005 - uli@suse.de
- cope with jpackage-compliant IBMJava2 (fixes s390*)
* Sun Jan 23 2005 - olh@suse.de
- set docroot=/viewcvs-docroot in viewcvs.conf
  handle SVN_VIEWCVS_MODPYTHON in apache2 subversion.viewcvs.conf
* Mon Jan 17 2005 - olh@suse.de
- update to 1.1.3
- update viewcvs and cvs2svn to current cvs/svn status
* Sat Jan 08 2005 - olh@suse.de
- update viewcvs, includes the DESTDIR patch
* Fri Jan 07 2005 - olh@suse.de
- build java bindings
* Thu Jan 06 2005 - olh@suse.de
- update to 1.1.2
  drop subversion-keywords_on_add.patch
  http://svnbook.red-bean.com/svnbook-1.1/ch07s02.html#svn-ch-7-sect-2.4
- add 2 security patches for viewcvs
  subversion.viewcvs.forbidden-hide_cvsroot_CAN-2004-0915.patch (#48989)
  subversion.viewcvs.escapeurl_CAN-2004-1062.patch (#49086)
- update to docbook-xsl-1.67.2.tar.gz
- update viewcvs and cvs2svn to current cvs/svn status
- rename subversion-cvs2svn to cvs2svn
- rename subversion-viewcvs to viewcvs
* Thu Oct 14 2004 - olh@suse.de
- update to 1.0.9
  User-visible-changes:
- Server:
  * fixed: 'svn ls' HTTP performance regression
  * fixed: 'svn log -v' hiding too much info on 'empty' revisions.
* Thu Oct 14 2004 - ro@suse.de
- added libgcrypt, libgpg-error to neededforbuild
* Fri Sep 24 2004 - olh@suse.de
- update to 1.0.8
  CAN-2004-0749: mod_authz_svn fails to protect metadata (#45610)
  Version 1.0.8
  User-visible-changes:
  * fixed: mod_authz_svn path and log-message metadata leaks.
  Version 1.0.7
  User-visible-changes:
  * fixed: 'svn st -u' crash (r10841)
  * fixed: potential repos corruption; ensure stdin/out/err always open
  * fixed: allow propnames containing ":" to be fetched via http://
  * fixed: allow user to interrupt between authentication prompts
  * fixed: work around +t directory-creation bug in APR
  * various small fixes to Book
  Developer-visible changes:
  * fix library dependencies for bindings
  * perl bindings: various fixes
* Wed Sep 01 2004 - olh@suse.de
- add psvn.el
* Fri Aug 27 2004 - olh@suse.de
- update cvs2svn to 1.0.0 status, rev 1368
  update viewcvs to todays status
* Mon Aug 09 2004 - olh@suse.de
- update cvs2svn to 1.0rc4 status, rev 1322
  update viewcvs to todays status
  update to docbook-xsl-1.65.1.tar.gz
* Tue Aug 03 2004 - olh@suse.de
- build perl bindings, allow make -jN
* Thu Jul 29 2004 - poeml@suse.de
- fix path in README.SuSE
- fix fillup of /etc/sysconfig/svnserve
* Tue Jul 27 2004 - olh@suse.de
- update to rev 10424 from 1.0.x branch, 1.0.6 status
* Tue Jul 06 2004 - poeml@suse.de
- add subversion.viewcvs-buglink.patch from James Henstridge, plus
  re.I modifier to match case insensitively
* Tue Jul 06 2004 - poeml@suse.de
- update cvs2svn to r1214
- update viewcvs to current CVS snapshot
* Mon Jul 05 2004 - poeml@suse.de
- fix "select for diff" in viewcvs (patch by Heinrich
  Stamerjohanns)
* Mon Jun 14 2004 - olh@suse.de
- update to rev 9955 from 1.0.x branch, 1.0.5 status
* Mon May 10 2004 - olh@suse.de
- remove Requires: -<release> (#40278)
* Sun May 09 2004 - olh@suse.de
- add subversion-1.0.1-exploit-old_timestamp_format.patch (#39774)
* Mon Apr 19 2004 - olh@suse.de
- update to rev 9429 from 1.0.x branch, 1.0.2 status
* Mon Mar 08 2004 - olh@suse.de
- update to rev 8925 from 1.0.x brancht, almost 1.0.1 status
* Thu Mar 04 2004 - poeml@suse.de
- add patch for ViewCVS
  http://cvs.sourceforge.net/viewcvs.py/viewcvs/viewcvs/lib/ezt.py?r1=1.22&r2=1.23
* Mon Mar 01 2004 - olh@suse.de
- update to rev 8871 from 1.0.x branch
* Sun Feb 22 2004 - olh@suse.de
- update to 0.99.0 (1.0.0-beta1), from 1.0.x branch, rev 8806
* Sat Jan 24 2004 - olh@suse.de
- update to 0.37.0 from 1.0-stabilization branch
  allow swig 1.3.21
* Mon Sep 08 2003 - poeml@suse.de
- subversion-viewcvs: explicitely allow access to the
  /srv/viewcvs/www/cgi directory, because we can not take it for
  granted that apache2 allows it by default [#29729]
* Fri Aug 29 2003 - poeml@suse.de
- README.SuSE: add documentation on file permissions; fold in
  feedback from Heinrich Stamerjohanns
* Fri Aug 29 2003 - mcihar@suse.cz
- subversion-cvs2svn requires python
* Wed Aug 27 2003 - olh@suse.de
- do not install the book.pdf
* Mon Aug 18 2003 - olh@suse.de
- update to 0.27.0, revision 6740
  update viewcvs to todays cvs status
* Sun Aug 10 2003 - olh@suse.de
- update to pre 0.27, revision 6695
* Sun Aug 10 2003 - olh@suse.de
- add rcsvnserve
  update hook template, svnlook is in /usr/bin
  update viewcvs to todays cvs status
* Wed Jul 30 2003 - poeml@suse.de
- get CFLAGS from apxs, so they match the ones that apr and apache2
  were built with
- "make external-install local-install" targets instead of make
  install, to work avoid hard coded pulling of the revision number
  from the svn working copy in the revision-install target
* Fri Jul 25 2003 - olh@suse.de
- update to 0.26.0, revision 6576
* Sun Jul 20 2003 - olh@suse.de
- split packages subversion-doc and subversion-viewcvs
  use SVN_DOC instead of SVN_DOCU
  use SVN_VIEWCVS to enable the scriptalias
* Sat Jul 12 2003 - olh@suse.de
- update to 0.25.0, revision 6456
  use SVN_DOCU to provide html documentation via apache2
* Sat Jul 05 2003 - olh@suse.de
- add subversion-python_bytecode-path-pr1131.patch
  do not compile in RPM_BUILD_ROOT, use builddir instead
* Tue Jun 17 2003 - olh@suse.de
- update to 0.24.1 final, revision 6254
  update svnbook.red-bean.com/book.pdf
* Tue Jun 17 2003 - kukuk@suse.de
- Add missing directory to filelist
* Mon May 19 2003 - olh@suse.de
- update to 0.23.0 final, revision 5981
  add subversion-infopages.patch
* Sat May 10 2003 - olh@suse.de
- update to 0.22.1 final, revision 5877
  use apache-2.0.45 apr
* Fri May 02 2003 - olh@suse.de
- update to 0.22.0 , revision 5780
  build with newer apr
* Fri Apr 11 2003 - ro@suse.de
- fix deprecated head/tail calling syntax (-1)
* Wed Mar 19 2003 - olh@suse.de
- update to 0.19.1 , revision 5394
* Sun Mar 16 2003 - olh@suse.de
- update to 0.19.1 , revision 5349
  update book.pdf
* Tue Feb 18 2003 - poeml@suse.de
- python might live below /usr/lib64
* Thu Feb 13 2003 - olh@suse.de
- update to 0.17.1 , revision 4877
  finally a working cvs2svn version, use the cvs2svn-mmacek branch
* Mon Feb 10 2003 - poeml@suse.de
- remove hints about SuSEconfig, it's not needed. Add README.SuSE
  about server configuration
- drop /etc/apache2/modules/subversion, it is no longer needed
- MPM specific links to mod_dav_svn.so are no longer needed
- server requires apache2, and a Require on apr is no longer valid
* Mon Feb 10 2003 - olh@suse.de
- split packages cvs2svn and tools
* Thu Feb 06 2003 - olh@suse.de
- add hint about SuSEconfig run in subversion.conf example
* Sun Feb 02 2003 - olh@suse.de
- add subversion-0.17.1-editor.diff
  subversion-0.17.1-keywords_on_add.diff
* Tue Jan 28 2003 - olh@suse.de
- add subversion book.pdf from the website
  add svnserve and svnversion
  remove outdated info docu
  build and add html documentation
  new apache2 config file format, extend example in subversion.conf
* Wed Jan 22 2003 - olh@suse.de
- update to 0.17.1 , revision 4508
* Tue Jan 21 2003 - olh@suse.de
- update to 0.17.0 , revision 4474
* Thu Dec 05 2002 - poeml@suse.de
- update to 0.16.0 , revision 3987
- use macro <apache2-devel-packages> in #neededforbuild
- get rid of hardcoded MPM names
* Wed Dec 04 2002 - olh@suse.de
- update to 0.15.0 , revision 3985
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Sun Oct 13 2002 - olh@suse.de
- update to 0.14.3 , revision 3360
  add subversion configfiles for apache2
* Sat Oct 12 2002 - olh@suse.de
- update to 0.14.3 , revision 3353
  add more dir path to file list, add more docu
  apxs is in /usr/sbin
* Thu Sep 19 2002 - olh@suse.de
- update to 0.14.3 , revision 3188
  use python-imaging instead of python-tkinter
* Sat Aug 31 2002 - poeml@suse.de
- update to last release 0.14.2 (svn update was broken when
  repositories contained renames)
* Tue Aug 27 2002 - poeml@suse.de
- use apxs2, building a common mod_dav_svn.so for all three MPMs
- don't let apxs add an entry for mod_dav_svn.so into httpd.conf
* Sun Aug 11 2002 - olh@suse.de
- update to 0.14.1, rev 2935, build html docs
* Thu Aug 01 2002 - olh@suse.de
- update to 2840, add svnadmin and svnlock
* Tue Jul 30 2002 - olh@suse.de
- remove apr, use apache2 instead, update to 2787
* Fri Jul 26 2002 - olh@suse.de
- initial SuSE release with version 0.14.0.2720
  built with apr_20020725163531 and apr-util-20020725
